@article{Roszkowska:Makowski:Janiec:MlCMMRS:2023,
  author   = {Roszkowska, Elzbieta and Makowski-Czerski, Piotr and Janiec, Lukasz},
  title    = {Multi-level control for multiple mobile robot systems},
  journal  = {Discrete Event Dynamic Systems},
  year     = {2023},
  month    = {Oct},
  day      = {18},
  doi      = {10.1007/s10626-023-00383-x},
  url      = {https://doi.org/10.1007/s10626-023-00383-x},
  abstract = {This paper contributes with a multi-level, hierarchical control
              system for a fleet of mobile robots sharing a common 2D motion space. The
              system consists of three levels, with the top level being a supervisor based
              on a discrete representation of the Multiple Mobile Robot System (MMRS), in
              which robot motion processes are seen as sequences of stages. The supervisor
              controls centrally the changes of their stages by robots, ensuring their
              collision-, and deadlock-free concurrent movement. The intermediate control
              level supervises locally the execution of robot motion on individual stages in
              a manner consistent with the decisions of the top level. The lowest level,
              robot control, is responsible for motion execution as determined by the local
              supervisor. We capitalize on some earlier results concerning the supervisory
              control of MMRS and propose a common framework for three supervisory control
              models. Then we propose relevant solutions for the local supervisors, in
              particular, a DES-based robot-motion-mode control and application of the
              Artificial Potential Field model for ensuring collision-free motion of two
              robots sharing a space sector. Next we assume simple robot control and subject
              the system to simulation experiments aimed at comparing the impact of the
              different solutions on the performance of MMRS.},
  note     = { --- \textcolor{gray}{The paper describes the three level control
              system that will be used in the project.}}
}

@article{Roszkowska:Jakubiak:CsMMRS:2021,
  author   = {Roszkowska, Elzbieta and Jakubiak, Janusz},
  title    = {Control synthesis for multiple mobile robot systems},
  journal  = {Transactions of the Institute of Measurement and Control},
  year     = {2021},
  month    = {Sep},
  day      = {28},
  doi      = {10.1177/01423312211047061},
  url      = {https://doi.org/10.1177/01423312211047061},
  abstract = {This work continues our study on the control synthesis for
              multiple mobile robot systems (MMRS). We assume a hybrid approach that
              comprises the supervisory control level, based on a discrete event model of
              MMRS, and the robot control level, based on a continuous time model of the
              robot motion. Our objective is to further develop the control concept towards
              its implementation in a real-world application - a testbed for a fleet of six
              laboratory robots. In the first part of the paper, we develop a methodology of
              the supervisory control synthesis, that employs the Petri net formalism and
              formally ensures the required logics of MMRS operation, as well as propose a
              relevant architecture of the supervisor. The second part is focused on the
              low-level robot control and control procedures enabling modification of the
              robot motion according to the supervisor's decisions. A simulation case is
              presented that illustrates the operation of the system.},
  note     = { --- \textcolor{gray}{This paper describes the control synthesis between
              discrete supervisory control and continuous robot control. The paper will be used to create a simulation.}}
}

@article{ROS2:2022,
  author  = {Steven Macenski and Tully Foote and Brian Gerkey and Chris Lalancette and William Woodall},
  title   = {Robot Operating System 2: Design, architecture, and uses in the wild},
  journal = {Science Robotics},
  volume  = {7},
  number  = {66},
  pages   = {eabm6074},
  year    = {2022},
  doi     = {10.1126/scirobotics.abm6074},
  url     = {https://www.science.org/doi/abs/10.1126/scirobotics.abm6074},
  note    = { --- \textcolor{gray}{Documentation for the ROS2 Humble software. Will be used to create a simulation.}}
}

@misc{Gazebo:2014,
  author       = {Gazebo},
  title        = {{Open Source Robotics Foundation}},
  howpublished = {\url{http://gazebosim.org/}},
  year         = {2014},
  note         = { --- \textcolor{gray}{Documentation for the Gazebo simulator. Will be used to create a simulation.}}
}

@misc{Rak:2022:TB2,
  author       = {Igor Rak},
  title        = {{Turtlebot2 ROS2 Package}},
  howpublished = {\url{http://https://git.kcir.pwr.edu.pl/irak/turtlebot2}},
  year         = {2022},
  note         = { --- \textcolor{gray}{Package for the Turtlebot2 robot. Will be used to create a simulation.}}
}

@misc{Rak:2022:TB2_Nav2,
  author       = {Igor Rak},
  title        = {{Turtlebot2 Nav Stack 2 ROS2 Package}},
  howpublished = {\url{http://https://git.kcir.pwr.edu.pl/irak/turtlebot2}},
  year         = {2022},
  note         = { --- \textcolor{gray}{Package for the Turtlebot2 robot. Will be used to create a simulation.}}
}